CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
SynchronizedObject::ExclusiveZone Class Reference

Locks a synchronization object in the current scope. More...

`#include <SynchronizedObject.h>`

## Public Member Functions
| ExclusiveZone (SynchronizationObject *syncObject)
| ~ExclusiveZone ()

## Private Attributes
SynchronizationObject * | m_syncObject

## Detailed Description

Locks a synchronization object in the current scope.

## Constructor & Destructor Documentation

SynchronizedObject::ExclusiveZone::ExclusiveZone | ( | SynchronizationObject * | syncObject | ) |
| inline

SynchronizedObject::ExclusiveZone::~ExclusiveZone | ( |  | ) |
| inline

## Member Data Documentation

SynchronizationObject* SynchronizedObject::ExclusiveZone::m_syncObject
| private

The documentation for this class was generated from the following file:

- SynchronizedObject.h

| Send comments to: CppUnit Developers